-- -----------------------------------------------------
-- SQL script to populate tables with static data
-- -----------------------------------------------------

-- Initialize the static ASSOCIATION table
-- Will ALWAYS be a work-in-progress!
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.pdf', 'FILE', 'Adobe Acrobat', 'pdf');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.zip', 'FILE', 'Archives', 'zip');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.7z', 'FILE', 'Archives', '7z');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.tar', 'FILE', 'Archives', 'tar');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.mp3', 'FILE', 'Audio', 'mp3');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.wma', 'FILE', 'Audio', 'wma');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.wav', 'FILE', 'Audio', 'wav');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.aac', 'FILE', 'Audio', 'aac');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.3gp', 'FILE', 'Audio', '3gp');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.RAW', 'FILE', 'Backups', 'RAW');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.iso', 'FILE', 'CD/DVD Images', 'iso');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.img', 'FILE', 'CD/DVD Images', 'img');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.mds', 'FILE', 'CD/DVD Images', 'mds');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.dmg', 'FILE', 'CD/DVD Images', 'dmg');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.cdr', 'FILE', 'CD/DVD Images', 'cdr');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.pub', 'FILE', 'Desktop Publishing', 'pub');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.eml', 'FILE', 'Email Archives', 'eml');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.gho', 'FILE', 'Hard Drive Images', 'gho');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.vhd', 'FILE', 'Hard Drive Images', 'vhd');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.vmdk', 'FILE', 'Hard Drive Images', 'vmdk');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.vdi', 'FILE', 'Hard Drive Images', 'vdi');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.hdd', 'FILE', 'Hard Drive Images', 'hdd');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.ovf', 'FILE', 'Hard Drive Images', 'ovf');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.bmp', 'FILE', 'Images', 'bmp');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.jpg', 'FILE', 'Images', 'jpg');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.jpeg', 'FILE', 'Images', 'jpeg');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.png', 'FILE', 'Images', 'png');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.tiff', 'FILE', 'Images', 'tiff');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.tif', 'FILE', 'Images', 'tif');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.gif', 'FILE', 'Images', 'gif');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.msi', 'FILE', 'Installers', 'msi');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.log', 'FILE', 'Log Files', 'log');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.nsf', 'FILE', 'Lotus Notes', 'nsf');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.doc', 'FILE', 'MS Office Documents', 'doc');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.docx', 'FILE', 'MS Office Documents', 'docx');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.ppt', 'FILE', 'MS Office Documents', 'ppt');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.pptx', 'FILE', 'MS Office Documents', 'pptx');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.xls', 'FILE', 'MS Office Documents', 'xls');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.xlsx', 'FILE', 'MS Office Documents', 'xlsx');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.sys', 'FILE', 'System Files', 'sys');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.txt', 'FILE', 'Text Files', 'txt');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.rtf', 'FILE', 'Text Files', 'rtf');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.vmx', 'FILE', 'VMware', 'vmx');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.mp4', 'FILE', 'Video', 'mp4');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.mov', 'FILE', 'Video', 'mov');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.wmv', 'FILE', 'Video', 'wmv');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.mpeg', 'FILE', 'Video', 'mpeg');
INSERT INTO "ASSOCIATION" ("associationName", "type", "category", "xValue") VALUES ('FILE.avi', 'FILE', 'Video', 'avi');

