/*
  MongoDB database create script the mongo instance holding HLO and LLO

  Note:
    It is not strictly necessary to pre create the database and
    collections in MongoDB. The database is automatically created when 
    first used (connected) and a collection is automatically created
    at the first insert request. However, this provides external 
    visibility for the "schema" which we use
*/

var dbName = 'ECDB_master';


/* Set logging level */
db.adminCommand({setParameter:1, logLevel:1})

/* Removed database drop step. Should be done independently */
/* Get to our database */
db = db.getMongo().getDB(dbName);

print("MongoDB database create completed");

