/*
  MongoDB database cleanup script

*/

var dbName = 'ECDB_master';
var dbName_old = 'NSBECDB';

/* Set logging level */
db.adminCommand({setParameter:1, logLevel:1})

/* First, drop any existing database */
/* For a transition period, drop the old database as well */
var dbList = db.getMongo().getDBNames();
var found = false;
var found_old = false;
print("Scanning current databases...");
for (var i=0; i<dbList.length; i++) {
  print("..["+i+"]: "+dbList[i]);
  if (dbList[i] == dbName)
    found = true;
  if (dbList[i] == dbName_old)
    found_old = true;
}

if (found) {
  db = db.getSiblingDB(dbName);
  db.dropDatabase();
  print("Dropped database: "+dbName);
}

if (found_old) {
  db = db.getSiblingDB(dbName_old);
  db.dropDatabase();
  print("Dropped database: "+dbName_old);
}

print("MongoDB database drop completed");

