/*
 This is change log for 1000
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'
cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)



var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

print("Creating PERSONA collection...");
db.createCollection('PERSONA');
db.PERSONA.createIndex({entityId : 1}, {unique : true});
db.PERSONA.createIndex({name : 1}, {unique : true});
db.COUNTER.insert({_id:"PERSONA", "lastSeqNum" : 1000 });

print("Updating indexes for JOBSESSION collection...");
db.JOBSESSION.createIndex({expiresAt : 1});
db.JOBSESSION.createIndex({expirationTime : 1});

print("Creating VADP collection...");
db.createCollection('VADP');
db.VADP.createIndex({entityId : 1}, {unique : true});
db.VADP.createIndex({name : 1}, {unique : true});
db.COUNTER.insert({_id:"VADP", "lastSeqNum" : 2100 });
// db.VADP.insert({ "entityId" : NumberInt(2000), "siteId" : "3000","app" : "VMDKBACKUP.VADPPROXY","healthCheckUrl" : "http://localhost:8080/admin/health", "homePageUrl" : "http://localhost:8080/","statusPageUrl" : "http://localhost:8080/admin/info","displayName" : "localhost","ipAddr" : "127.0.0.1","port" : 8080,"state" : "ENABLED", "isLocal": true, "name" : "localhost","type" : "VADP","flags" : NumberLong(0) });
