/*
 This is change log for 1003
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'
cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)

var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

print("Updating indexes for PREFERENCE collection...");
db.PREFERENCE.createIndex({nameKey : 1}, {unique : true});
db.PREFERENCE.createIndex({name : 1});
db.PREFERENCE.createIndex({category : 1});
db.PREFERENCE.createIndex({type : 1});
db.PREFERENCE.createIndex({subtype : 1});
db.PREFERENCE.createIndex({uiOption : 1});

print("Updating indexes for LOGMESSAGE collection...");
db.LOGMESSAGE.createIndex({messageId : 1});
db.LOGMESSAGE.createIndex({category : 1});

