/*
 This is change log for 1010
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)


var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

print("Updating Cloud All Resource Group...");

var cloudResourcePoolRbacPaths = new Array();

cloudResourcePoolRbacPaths.push(
		{
			"_id" : "serviceprovider.protection.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
				"path" : "Job/Application Backup"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
				"path" : "Job/Application Inventory"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
				"path" : "Job/Application Recovery"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"path" : "SLA Policy/All"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"path" : "System Configuration/Script/All"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"path" : "Schedule/All"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:13"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/Backup Storage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "5",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "5",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
				"path" : "Screen/Reports:5"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:5",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "250",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "250",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/Microsoft 365 Backup:250"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:250",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "251",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "251",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/Microsoft 365 Restore:251"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:251",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "office365",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "All Microsoft 365",
				"path" : "Cloud:cloud/Microsoft 365:office 365/All Microsoft 365:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:office365",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
				"typeTitle" : "All",
				"path" : "Server:server/All:all"
			},
			"include" : true,
			"type" : "appserver.all",
			"path" : "root:0/appserver.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
    {
      "_id" : "10006",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10006",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MICROSOFT_365_BACKUP_HISTORY", "path" : "Report/Protection/Microsoft 365 Backup History"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10006",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "10007",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10007",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MICROSOFT_365_SLA_POLICY_COMPLIANCE",
        "path" : "Report/Protection/Microsoft 365 SLA Policy Compliance"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10007",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "10008",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10008",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MICROSOFT_365_PROTECTED_USERS",
        "path" : "Report/Protection/Microsoft 365 Protected Users"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10008",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    }
);

db.RESOURCEPOOL.update({"name":"Cloud All Resource Group"}, {"$set": {"resources": cloudResourcePoolRbacPaths, "modifiable":false} });

