/*
 This is change log for 1012
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)


var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

print("Updating Database All Resource Group...");

var databaseResourceRbacPoolRbacPaths = new Array();

databaseResourceRbacPoolRbacPaths.push(
 		{
			"_id" : "serviceprovider.protection.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
				"path" : "Job/Application Backup"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
				"path" : "Job/Application Inventory"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
				"path" : "Job/Application Recovery"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"path" : "SLA Policy/All"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"path" : "System Configuration/Script/All"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"path" : "Schedule/All"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "1003",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1003",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_PROTECTED_AND_UNPROTECTED_DATABASES",
				"path" : "Report/Protection/Protected and Unprotected Databases"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1003",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "1015",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1015",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DATABASE_SLA_POLICY_RPO_COMPLIANCE",
				"path" : "Report/Protection/Database SLA Policy RPO Compliance"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1015",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "1012",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1012",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DATABASE_BACKUP_HISTORY",
				"path" : "Report/Protection/Database Backup History"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1012",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "10",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "10",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_RESTORE",
				"path" : "Screen/File Restore"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:10",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "200",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "200",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ORACLE_BACKUP",
				"path" : "Screen/Oracle Backup:200"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:200",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "201",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "201",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ORACLE_RESTORE",
				"path" : "Screen/Oracle Restore:201"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:201",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "210",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "210",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SQL_BACKUP",
				"path" : "Screen/SQL Backup:210"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:210",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "211",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "211",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SQL_RESTORE",
				"path" : "Screen/SQL Restore:211"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:211",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "220",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "220",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_EXCHANGE_BACKUP",
				"path" : "Screen/Exchange Backup:220"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:220",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "221",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "221",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_EXCHANGE_RESTORE",
				"path" : "Screen/Exchange Restore:221"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:221",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "230",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "230",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DB2_BACKUP",
				"path" : "Screen/Db2 Backup:230"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:230",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "231",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "231",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DB2_RESTORE",
				"path" : "Screen/Db2 Restore:231"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:231",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "240",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "240",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MONGO_BACKUP",
				"path" : "Screen/Mongo Backup:240"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:240",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "241",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "241",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MONGO_RESTORE",
				"path" : "Screen/Mongo Restore:241"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:241",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "290",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "290",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SAPHANA_BACKUP",
				"path" : "Screen/SAP HANA Backup:290"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:290",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "291",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "291",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SAPHANA",
				"path" : "Screen/SAP HANA Restore:291"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:291",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:13"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/Backup Storage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "5",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "5",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
				"path" : "Screen/Reports:5"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:5",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
				"typeTitle" : "All",
				"path" : "Server:server/All:all"
			},
			"include" : true,
			"type" : "appserver.all",
			"path" : "root:0/appserver.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "db2",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All Db2",
				"displayName" : "",
				"typeTitle" : "All Db2",
				"path" : "Database:database/Db2:db2/All Db2:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:db2",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "exch",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All Exchange",
				"displayName" : "",
				"typeTitle" : "All Exchange",
				"path" : "Database:database/Exchange:exchange/All Exchange:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:exch",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "mongo",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All MongoDB",
				"displayName" : "",
				"typeTitle" : "All MongoDB",
				"path" : "Database:database/MongoDB:mongodb/All MongoDB:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:mongo",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "oracle",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All Oracle",
				"displayName" : "",
				"typeTitle" : "All Oracle",
				"path" : "Database:database/Oracle:oracle/All Oracle:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:oracle",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "sql",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All SQL",
				"displayName" : "",
				"typeTitle" : "All SQL",
				"path" : "Database:database/SQL:sql/All SQL:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:sql",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "sql",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All SAP HANA",
				"displayName" : "",
				"typeTitle" : "All SAP HANA",
				"path" : "Database:database/SAP HANA:sql/All SAP HANA:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:saphana",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		}
 
);

db.RESOURCEPOOL.update({"name":"Database All Resource Group"}, { "$set": {"resources": databaseResourceRbacPoolRbacPaths, "modifiable":false} });


