dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)

var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

var capped = db.NOTIFICATION.isCapped();

if(capped){
    db.NOTIFICATION.drop();
    db.createCollection('NOTIFICATION');
    db.NOTIFICATION.createIndex({category : 1});
    db.NOTIFICATION.createIndex({type : 1});
    db.NOTIFICATION.createIndex({subType : 1});
    db.NOTIFICATION.createIndex({notificationTime : -1});
    db.NOTIFICATION.createIndex({name : 1});
    db.NOTIFICATION.createIndex({dataSource : 1});
    db.NOTIFICATION.createIndex({expiresAt : 1}, {expireAfterSeconds : 0});
    db.NOTIFICATION.createIndex({status : 1});
    db.NOTIFICATION.createIndex({message : 1});
    db.NOTIFICATION.createIndex({expired : 1});
    db.NOTIFICATION.createIndex({acknowledged : 1});
    db.NOTIFICATION.createIndex({jobId : 1});
    db.NOTIFICATION.createIndex({jobsessinId : 1});
    db.NOTIFICATION.createIndex({storageId : 1});
    db.NOTIFICATION.createIndex({serverId : 1});
}