-- 
-- SQL script to create required permissions for ECX roles
-- This script MUST be executed from a DB connection by the ECX admin user
--

-- Revoke permissions section -------------------------------------------------


-- Grant permissions section -------------------------------------------------

GRANT USAGE ON SCHEMA master TO ecxreporter
;

GRANT SELECT ON 
  lun_node_view,
  datastore_lun_view,
  user_role_view,
  role_view,
  user_view,
  productconfig_view,
  association_view,
  jobtask_view,
  policy_job_view,
  job_view,
  policy_view,
  lun_view,
  vdisk_view,
  vsnapshot_view,
  datastore_vi_view,
  datastore_view,
  volume_view,
  storagepool_view,
  snapshot_view,
  replica_view,
  qtree_view,
  node_view,
  node_policy_view,
  report_view,
  report_policy_view,
  policy_schedule_view,
  schedule_view
TO ecxreporter
;
