/*
 This is change log for 1006
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)

var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

db.recovery_StorageCatalogVolume.createIndex({pk : 1})
db.recovery_StorageCatalogVolume.createIndex({sessionId : 1})
db.recovery_StorageCatalogVolume.createIndex({jobId : 1}) 

db.recovery_StorageCatalogVolume_VERSION.createIndex({pk : 1})
db.recovery_StorageCatalogVolume_VERSION.createIndex({sessionId : 1})
db.recovery_StorageCatalogVolume_VERSION.createIndex({jobId : 1})

db.recovery_StorageCatalogSnapshot.createIndex({pk : 1})
db.recovery_StorageCatalogSnapshot.createIndex({jobId : 1})
db.recovery_StorageCatalogSnapshot.createIndex({sessionId : 1})

db.recovery_StorageCatalogSnapshot_VERSION.createIndex({pk : 1})
db.recovery_StorageCatalogSnapshot_VERSION.createIndex({sessionId : 1})
db.recovery_StorageCatalogSnapshot_VERSION.createIndex({jobId : 1})

db.recovery_StorageCatalogReplication.createIndex({pk : 1})
db.recovery_StorageCatalogReplication.createIndex({sessionId : 1})
db.recovery_StorageCatalogReplication.createIndex({sourceStorageId : 1})
db.recovery_StorageCatalogReplication.createIndex({jobId : 1})

db.recovery_StorageCatalogReplication_VERSION.createIndex({pk : 1})
db.recovery_StorageCatalogReplication_VERSION.createIndex({sourceStorageId : 1})
db.recovery_StorageCatalogReplication_VERSION.createIndex({sessionId : 1})
db.recovery_StorageCatalogReplication_VERSION.createIndex({jobId : 1})

db.PERFORMANCE_ResourceSummaryDTO.createIndex({jobPK: 1})
db.PERFORMANCE_ResourceSummaryDTO.createIndex({pk: 1})

db.recovery_BackupMetaData.createIndex({jobId: 1})
db.recovery_BackupMetaData.createIndex({databaseId: 1})